<?php

  $architecture_firm_theme_custom_setting_css = '';

    // Global Color
    $architecture_firm_first_theme_color = get_theme_mod('architecture_firm_first_theme_color', '#E30615');
    $architecture_firm_second_theme_color = get_theme_mod('architecture_firm_second_theme_color', '#373737');

    $architecture_firm_theme_custom_setting_css .=':root {';
        $architecture_firm_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($architecture_firm_first_theme_color ).'!important;';
        $architecture_firm_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($architecture_firm_second_theme_color ).'!important;';
    $architecture_firm_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$architecture_firm_scroll_alignment = get_theme_mod('architecture_firm_scroll_alignment', 'right');

    if($architecture_firm_scroll_alignment == 'right'){
        $architecture_firm_theme_custom_setting_css .='.scroll-up{';
            $architecture_firm_theme_custom_setting_css .='right: 30px;!important;';
			$architecture_firm_theme_custom_setting_css .='left: auto;!important;';
        $architecture_firm_theme_custom_setting_css .='}';
    }else if($architecture_firm_scroll_alignment == 'center'){
        $architecture_firm_theme_custom_setting_css .='.scroll-up{';
            $architecture_firm_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $architecture_firm_theme_custom_setting_css .='}';
    }else if($architecture_firm_scroll_alignment == 'left'){
        $architecture_firm_theme_custom_setting_css .='.scroll-up{';
            $architecture_firm_theme_custom_setting_css .='left: 30px;!important;';
			$architecture_firm_theme_custom_setting_css .='right: auto;!important;';
        $architecture_firm_theme_custom_setting_css .='}';
    }


    // Woocommerce Sale Position
    $architecture_firm_sale_badge_position = get_theme_mod( 'architecture_firm_sale_badge_position','right');
    if($architecture_firm_sale_badge_position == 'left'){
        $architecture_firm_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $architecture_firm_theme_custom_setting_css .='left: 10px; right: auto;';
        $architecture_firm_theme_custom_setting_css .='}';
    }else if($architecture_firm_sale_badge_position == 'right'){
        $architecture_firm_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $architecture_firm_theme_custom_setting_css .='left: auto; right: 10px;';
        $architecture_firm_theme_custom_setting_css .='}';
    }

    
    // Featured Image Hover Effect
    $architecture_firm_show_featured = get_theme_mod('architecture_firm_featured_image_hide_show', 1);
    $architecture_firm_hover_effect = get_theme_mod('architecture_firm_single_post_featured_image_hover','none');

    if ( $architecture_firm_show_featured && $architecture_firm_hover_effect !== 'none' ) {

    $architecture_firm_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $architecture_firm_hover_effect === 'zoom-in' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $architecture_firm_hover_effect === 'zoom-out' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $architecture_firm_hover_effect === 'grayscale' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $architecture_firm_hover_effect === 'sepia' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $architecture_firm_hover_effect === 'blur' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $architecture_firm_hover_effect === 'bright' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $architecture_firm_hover_effect === 'translate' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $architecture_firm_hover_effect === 'scale' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $architecture_firm_show_featured = get_theme_mod('architecture_firm_featured_image_hide_show', 1);
    $architecture_firm_hover_effect = get_theme_mod('architecture_firm_product_featured_image_hover','none');

    if ( $architecture_firm_show_featured && $architecture_firm_hover_effect !== 'none' ) {

    $architecture_firm_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $architecture_firm_hover_effect === 'zoom-in' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $architecture_firm_hover_effect === 'zoom-out' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $architecture_firm_hover_effect === 'grayscale' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $architecture_firm_hover_effect === 'sepia' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $architecture_firm_hover_effect === 'blur' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $architecture_firm_hover_effect === 'bright' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $architecture_firm_hover_effect === 'translate' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $architecture_firm_hover_effect === 'scale' ) {
        $architecture_firm_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   